Skip to main content
POST
Submit Retain Transactions

Query Parameters

dryrun
integer<int32>
default:0

When enabled, Transactions are submitted for primary data validation only, without submitting them to Retain for processing.

Required range: 0 <= x <= 1

Body

application/json
transactions
object[]

Callbacks

POST
https://webhook.merchant.com/pathprocessing status

Body

application/json
header
object
required
content
object
required

API request received, understood, and accepted, but invalid properties prevent one or more transactions from being processed by Retain.

Example:

Response

202

Receiving server returns this code if it accepts the message

POST
https://webhook.merchant.com/path2retry_succeeded

Body

application/json
header
object
required
content
object
required

Retain Transaction object.

Response

202

Receiving server returns this code if it accepts the message

POST
https://webhook.merchant.com/path3retry_failed

Body

application/json
header
object
required
content
object
required

Retain Transaction object.

Response

202

Receiving server returns this code if it accepts the message

Response

All Transactions that were submitted to Vindicia Retain have successfully passed all input validations, without exception.

No responseBody is returned.